#ifndef __LINEEDITOR_H
#define __LINEEDITOR_H

#include <XBApp.h>
#include <XbResource.h>
#include <XBFont.h>

#include "xPad.h"

class CXxPad;

class CXLineEditor
{
  struct FILELISTING
  {
    char strPath[MAX_PATH];
    bool isDirectory; 
  };

public:
  CXLineEditor(CXxPad *_parent);
  HRESULT Initialize();
  HRESULT Render();
  HRESULT Cleanup();
  HRESULT FrameMove();

private:
  LPDIRECT3DTEXTURE8  m_pMainWindow;
  CXxPad *parent;
};

#endif  //__LINEEDITOR_H